# $Revision: 1.52 $, $Date: 2011/09/15 20:01:12 $
%include	/usr/lib/rpm/macros.php
%define		_status		stable
%define		_pearname	Net_SMTP
Summary:	%{_pearname} - implementation of the SMTP protocol
Summary(pl.UTF-8):	%{_pearname} - implementacja protokołu SMTP
Name:		php-pear-%{_pearname}
Version:	1.6.1
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	4a8040d28d2792bf7bb3ee9b5c2ebcda
URL:		http://pear.php.net/package/Net_SMTP/
BuildRequires:	php-pear-PEAR >= 1:1.4.3
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-Net_Socket >= 1.0.7
Suggests:	php-pear-Auth_SASL
Obsoletes:	php-pear-Net_SMTP-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(Auth/SASL.*)

%description
Provides an implementation of the SMTP protocol using PEAR's
Net_Socket:: class.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Dostarcza implementację protokołu SMTP przy użyciu PEAR-owej klasy
Net_Socket:: .

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_SMTP.spec,v $
Revision 1.52  2011/09/15 20:01:12  glen
- updated to: 1.6.1

Revision 1.51  2011/07/31 19:09:43  glen
- updated to: 1.6.0

Revision 1.50  2011/04/25 09:21:04  glen
- updated to: 1.5.2

Revision 1.49  2011/03/01 06:28:49  glen
- release 3

Revision 1.48  2011/02/27 11:27:08  glen
- release 2

Revision 1.47  2011/02/27 10:56:04  glen
- updated to: 1.5.0

Revision 1.46  2011/01/23 01:03:20  sparky
- dropped -tests subpackage

Revision 1.45  2010/11/16 08:22:32  glen
- updated to: 1.4.4

Revision 1.44  2010/08/21 19:08:15  glen
- updated deps with pearize.sh
- release 2

Revision 1.43  2010/08/20 13:05:01  glen
- updated to: 1.4.2

Revision 1.42  2010/01/04 15:21:41  adamg
- updated to 1.3.4

Revision 1.41  2008/12/26 01:52:47  adamg
- updated to 1.3.2

Revision 1.40  2008-06-10 17:45:26  adamg
- updated to 1.3.1

Revision 1.39  2008-05-03 08:41:25  adamg
- updated to 1.3.0

Revision 1.38  2008-01-31 12:16:09  glen
- rel 2

Revision 1.37  2007-08-26 09:00:11  adamg
- updated to 1.2.10

Revision 1.36  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.35  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.34  2006/12/19 22:47:08  arekm
- rel 2

Revision 1.33  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.32  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.31  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.30  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.29  2006/02/16 18:25:35  glen
- 1.2.8

Revision 1.28  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.27  2005/11/20 16:26:33  glen
- rel 4

Revision 1.26  2005/10/27 19:07:14  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.25  2005/10/05 20:59:32  glen
- rel 3

Revision 1.24  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.23  2005/09/30 14:17:09  glen
- rel 2

Revision 1.22  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.21  2005/09/27 22:11:26  glen
- pl for -tests

Revision 1.20  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.19  2005/09/19 21:43:40  glen
- integer BR

Revision 1.18  2005/09/19 18:43:56  glen
- merged from DEVEL: use new pear packaging system

Revision 1.17.2.2  2005/09/19 17:36:33  glen
- macros moved to rpm-build

Revision 1.17.2.1  2005/09/18 19:26:05  glen
- use php-pear-build

Revision 1.17  2005/08/22 04:29:29  adamg
- updated to 1.2.7

Revision 1.16  2004/12/04 13:21:59  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.15  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.14  2004/04/13 09:58:48  adamg
- updated to 1.2.6

Revision 1.13  2004/03/15 17:44:31  ankry
- massive cosmetics

Revision 1.12  2004/03/12 22:12:44  adamg
- updated to 1.2.5

Revision 1.11  2003/10/07 20:55:42  adamg
- do not use macros in URL

Revision 1.10  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.9  2003/05/28 10:50:29  adamg
- massive manual attack: pear packages update

Revision 1.8  2003/05/28 08:58:46  adamg
- massive attack: added source0-md5

Revision 1.7  2003/05/25 06:25:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/02/23 13:34:40  blues
- 1.1.2 - bugfix release; STBR to Ra updates general

Revision 1.5  2003/02/01 17:56:56  blues
- 1.1.1 - stable release, STBR to Ra Updates

Revision 1.4  2003/01/04 15:45:10  blues
- 1.0.1 - bugfix - stable class -> STBR to Ra-updates-general

Revision 1.3  2002/10/14 23:49:40  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.2  2002/09/15 10:51:14  blues
- fix in macros

Revision 1.1  2002/07/12 18:25:16  blues
- initial release - replaces class from php-pear-additional_classes
